Bug 1802 - /etc/rc.d/init.d/sound - 3 звуковые карты
: /etc/rc.d/init.d/sound - 3 звуковые карты
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/initscripts)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-04 08:55 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-04 08:55:00
У меня такая странная конфигурация компа: целых 3 звуковых карты. ПО - 
последний сизифус + ядро от Junior-2.4.18.

Проблема #1. В файле /etc/rc.d/init.d/sound в функции LoadModule() есть
замечательная строчка:
...
for m in `modprobe -c |egrep \"^alias $pattern \" |cut -d\\  -f3
|sort -u`;
do
...

Она всю жизнь портит, т.к. при загрузке модулей она сортирует их
зачем-то. Соотв. они занимают девайсы /dev/dspX в порядке сортировки -
что в моем случае не верно, т.к. у меня колонки подключены к SB Live!, а
две другие работают таким образом: 

sb AWE-64: sox -t ossdsp /dev/dsp2 -t ossdsp /dev/dsp, 
а драйвер tvtuner (Avermedia Studio чего-то там...) через btaudio: sox
-w -r 32000 -t ossdsp /dev/dsp4 -t ossdsp /dev/dsp


<OFFTOPIC>
Винда отдыхает :-)
</OFFTOPIC>

Т.е. все микшируется в одну кучу и выводится через sbLive. В случае
сортировки сначала (по алфавиту) грузится btaudio и занимает dsp и dsp1,
затем sb и занимает dsp2 и затем sb-emu10k и занимает dsp3 и dsp4... Это
не правильно и мне не очень понятно вообще, зачем здесь нужна
сортировка. Предлагаю исправить на:

for m in `modprobe -c |egrep \"^alias $pattern \" |cut -d\\  -f3`; do
---

---
------- Comment #1 From 2003-04-20 02:31:14 -------
Fixed in 5.49-ipl54mdk
------- Comment #2 From 2003-04-20 02:31:14 -------
Fixed in 5.49-ipl54mdk